Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2528)
@@ -1,51 +1,43 @@
 MODULE limthd_sal
-   !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
-   !!----------------------------------------------------------------------
    !!======================================================================
    !!                       ***  MODULE limthd_sal ***
-   !!                   computation salinity variations in
-   !!                               the ice
+   !! LIM-3 sea-ice :  computation of salinity variations in the ice
    !!======================================================================
+   !! History :   -   ! 2003-05 (M. Vancoppenolle) UCL-ASTR first coding for LIM3-1D
+   !!            3.0  ! 2005-12 (M. Vancoppenolle) adapted to the 3-D version
+   !!---------------------------------------------------------------------
 #if defined key_lim3
    !!----------------------------------------------------------------------
+   !!   'key_lim3'                                      LIM-3 sea-ice model
+   !!----------------------------------------------------------------------
    !!   lim_thd_sal : salinity variations in the ice
-   !! * Modules used
+   !!----------------------------------------------------------------------
    USE par_oce          ! ocean parameters
    USE phycst           ! physical constants (ocean directory)
    USE sbc_oce          ! Surface boundary condition: ocean fields
-   USE thd_ice
-   USE ice
-   USE in_out_manager
-   USE limvar
-   USE par_ice
+   USE ice              ! LIM: sea-ice variables
+   USE par_ice          ! LIM: sea-ice parameters
+   USE thd_ice          ! LIM: sea-ice thermodynamics
+   USE limvar           ! LIM: sea-ice variables
+   USE in_out_manager   ! I/O manager
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_thd_sal        ! called by lim_thd
-   PUBLIC lim_thd_sal_init   ! called by lim_thd
-
-   !! * Module variables
-   REAL(wp)  ::           &  ! constant values
-      epsi20 = 1e-20   ,  &
-      epsi13 = 1e-13   ,  &
-      zzero  = 0.e0    ,  &
-      zone   = 1.e0
-
-   !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
+   PUBLIC   lim_thd_sal        ! called by limthd module
+   PUBLIC   lim_thd_sal_init   ! called by iceini module
+
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
-   SUBROUTINE lim_thd_sal(kideb,kiut)
+   SUBROUTINE lim_thd_sal( kideb, kiut )
       !!-------------------------------------------------------------------
-      !!                ***  ROUTINE lim_thd_sal  ***       
-      !! ** Purpose :
-      !!        This routine computes new salinities in the ice
+      !!                ***  ROUTINE lim_thd_sal  ***    
+      !!   
+      !! ** Purpose :   computes new salinities in the ice
       !!
       !! ** Method  :  4 possibilities
@@ -54,67 +46,21 @@
       !!               -> num_sal = 3 -> S = S(z)   [multiyear ice]
       !!               -> num_sal = 4 -> S = S(h)   [Cox and Weeks 74]
-      !!           
-      !! ** Steps
-      !!
-      !! ** Arguments
-      !!
-      !! ** Inputs / Outputs
-      !!
-      !! ** External
-      !!
-      !! ** References
-      !!
-      !! ** History  : 
-      !!
-      !! "Je ne suis pour l'instant qu'a 80% de ma condition, mais c'est 
-      !!  les 30% qui restent qui seront les plus difficiles"
-      !!                                           E. Mpenza
-      !!
-      !!-------------------------------------------------------------------
-      !! History :
-      !!   ori  !  03-05 M. Vancoppenolle UCL-ASTR first coding for LIM-1D
-      !!   3.0  !  05-12 Routine rewritten for the 3-D version
       !!---------------------------------------------------------------------
-      !!
-      !! * Local variables
-      INTEGER, INTENT(in) :: &
-         kideb, kiut             !: thickness category index
-
-      INTEGER ::             &
-         ji, jk ,            &   !: geographic and layer index 
-         zji, zjj
-
-      REAL(wp) ::            &
-         zsold,              &   !: old salinity
-         zeps=1.0e-06   ,    &   !: very small
-         iflush         ,    &   !: flushing (1) or not (0)
-         iaccrbo        ,    &   !: bottom accretion (1) or not (0)
-         igravdr        ,    &   !: gravity drainage or not
-         isnowic        ,    &   !: gravity drainage or not
-         i_ice_switch   ,    &   !: ice thickness above a certain treshold or not
-         ztmelts        ,    &   !: freezing point of sea ice
-         zaaa           ,    &   !: dummy factor
-         zbbb           ,    &   !: dummy factor
-         zccc           ,    &   !: dummy factor
-         zdiscrim                !: dummy factor
-
-      REAL(wp), DIMENSION(jpij) ::          &
-         ze_init        ,    &   !initial total enthalpy
-         zhiold         ,    &
-         zsiold
-
+      INTEGER, INTENT(in) ::  kideb, kiut   ! thickness category index
+      !
+      INTEGER  ::   ji, jk     ! dummy loop indices 
+      INTEGER  ::   zji, zjj   ! local integers
+      REAL(wp) ::   zsold, zeps, iflush, iaccrbo, igravdr, isnowic, i_ice_switch,  ztmelts   ! local scalars
+      REAL(wp) ::   zaaa, zbbb, zccc, zdiscrim   ! local scalars
+      REAL(wp), DIMENSION(jpij) ::   ze_init, zhiold, zsiold   ! 1D workspace
       !!---------------------------------------------------------------------
 
+      zeps=1.0e-06_wp
+
       !------------------------------------------------------------------------------|
       ! 1) Constant salinity, constant in time                                       |
       !------------------------------------------------------------------------------|
 
-      IF (num_sal.eq.1) THEN
-
-         !         WRITE(numout,*)
-         !         WRITE(numout,*) 'lim_thd_sal : Ice salinity computation module ', &
-         !         num_sal
-         !         WRITE(numout,*) '~~~~~~~~~~~~'
-
+      IF( num_sal == 1 ) THEN
          DO jk = 1, nlay_i
             DO ji = kideb, kiut
@@ -122,10 +68,10 @@
             END DO ! ji
          END DO ! jk
-
+         !
          DO ji = kideb, kiut
             sm_i_b(ji)      =  bulk_sal 
          END DO ! ji
-
-      ENDIF ! num_sal .EQ. 1
+         !
+      ENDIF
 
       !------------------------------------------------------------------------------|
@@ -174,6 +120,5 @@
             ! isnowic : 1 if snow ice formation
             i_ice_switch = 1.0 - MAX ( 0.0 , SIGN ( 1.0 , - ht_i_b(ji) + 1.0e-2 ) )
-            isnowic      = 1.0 - MAX ( 0.0 , SIGN ( 1.0 , - dh_snowice(ji) ) ) * &
-               i_ice_switch
+            isnowic      = 1.0 - MAX ( 0.0 , SIGN ( 1.0 , - dh_snowice(ji) ) ) * i_ice_switch
 
             !---------------------
@@ -182,12 +127,8 @@
 
             ! drainage by gravity drainage
-            dsm_i_gd_1d(ji) = - igravdr *                                     & 
-               MAX( sm_i_b(ji) - sal_G , 0.0 ) /             &
-               time_G * rdt_ice 
+            dsm_i_gd_1d(ji) = - igravdr * MAX( sm_i_b(ji) - sal_G , 0._wp ) / time_G * rdt_ice 
 
             ! drainage by flushing  
-            dsm_i_fl_1d(ji)  = - iflush *                                     &
-               MAX( sm_i_b(ji) - sal_F , 0.0 ) /             & 
-               time_F * rdt_ice
+            dsm_i_fl_1d(ji)  = - iflush * MAX( sm_i_b(ji) - sal_F , 0._wp ) / time_F * rdt_ice
 
             !-----------------
@@ -199,15 +140,13 @@
             ! to conserve energy
             zsiold(ji) = sm_i_b(ji)
-            sm_i_b(ji) = sm_i_b(ji)                                           &
-               + dsm_i_fl_1d(ji) + dsm_i_gd_1d(ji)  !                 &
+            sm_i_b(ji) = sm_i_b(ji) + dsm_i_fl_1d(ji) + dsm_i_gd_1d(ji)
 
             ! if no ice, salinity eq 0.1
-            i_ice_switch  = 1.0 - MAX ( 0.0, SIGN (1.0 , - ht_i_b(ji) ) )
-            sm_i_b(ji)    = i_ice_switch*sm_i_b(ji) + s_i_min * ( 1.0 -       &
-               i_ice_switch )
+            i_ice_switch = 1._wp - MAX ( 0._wp, SIGN( 1._wp , - ht_i_b(ji) ) )
+            sm_i_b(ji)   = i_ice_switch*sm_i_b(ji) + s_i_min * ( 1._wp - i_ice_switch )
          END DO ! ji
 
          ! Salinity profile
-         CALL lim_var_salprof1d(kideb,kiut)
+         CALL lim_var_salprof1d( kideb, kiut )
 
          !----------------------------
@@ -217,11 +156,11 @@
          DO ji = kideb, kiut
             ! iflush  : 1 if summer 
-            iflush       =  MAX( 0.0 , SIGN ( 1.0 , t_su_b(ji) - rtt ) ) 
+            iflush  =  MAX( 0._wp , SIGN ( 1._wp , t_su_b(ji) - rtt ) ) 
             ! igravdr : 1 if t_su lt t_bo
-            igravdr      =  MAX( 0.0 , SIGN ( 1.0 , t_bo_b(ji) - t_su_b(ji) ) ) 
+            igravdr =  MAX( 0._wp , SIGN ( 1._wp , t_bo_b(ji) - t_su_b(ji) ) ) 
             ! iaccrbo : 1 if bottom accretion
-            iaccrbo      =  MAX( 0.0 , SIGN ( 1.0 , dh_i_bott(ji) ) )
-
-            fhbri_1d(ji) = 0.0
+            iaccrbo =  MAX( 0._wp , SIGN ( 1._wp , dh_i_bott(ji) ) )
+            !
+            fhbri_1d(ji) = 0._wp
          END DO ! ji
 
@@ -230,11 +169,8 @@
          !----------------------------
          DO ji = kideb, kiut
-            i_ice_switch  = 1.0 - MAX ( 0.0, SIGN (1.0 , - ht_i_b(ji) ) )
-            fsbri_1d(ji) = fsbri_1d(ji) -  &
-               i_ice_switch * rhoic * a_i_b(ji) * ht_i_b(ji) *  &
-               ( MAX(dsm_i_gd_1d(ji) + dsm_i_fl_1d(ji), &
-               sm_i_b(ji) - zsiold(ji) ) ) / rdt_ice
-            IF ( num_sal .EQ. 4 ) fsbri_1d(ji) = 0.0
-
+            i_ice_switch = 1._wp - MAX ( 0._wp, SIGN( 1._wp , - ht_i_b(ji) ) )
+            fsbri_1d(ji) = fsbri_1d(ji) - i_ice_switch * rhoic * a_i_b(ji) * ht_i_b(ji)         &
+               &         * ( MAX(dsm_i_gd_1d(ji) + dsm_i_fl_1d(ji), sm_i_b(ji) - zsiold(ji) ) ) / rdt_ice
+            IF( num_sal == 4 ) fsbri_1d(ji) = 0._wp
          END DO ! ji
 
@@ -244,20 +180,15 @@
          !--------------------
          DO jk = 1, nlay_i
-
             DO ji = kideb, kiut
-
                ztmelts    =  -tmut*s_i_b(ji,jk) + rtt
                !Conversion q(S,T) -> T (second order equation)
                zaaa         =  cpic
-               zbbb         =  ( rcp - cpic ) * ( ztmelts - rtt ) + &
-                  q_i_b(ji,jk) / rhoic - lfus
+               zbbb         =  ( rcp - cpic ) * ( ztmelts - rtt ) + q_i_b(ji,jk) / rhoic - lfus
                zccc         =  lfus * ( ztmelts - rtt )
                zdiscrim     =  SQRT( MAX(zbbb*zbbb - 4.0*zaaa*zccc,0.0) )
-               t_i_b(ji,jk) =  rtt - ( zbbb + zdiscrim ) / & 
-                  ( 2.0 *zaaa )
+               t_i_b(ji,jk) =  rtt - ( zbbb + zdiscrim ) / ( 2.0 *zaaa )
             END DO !ji
-
          END DO !jk
-
+         !
       ENDIF ! num_sal .EQ. 2
 
@@ -266,5 +197,5 @@
       !------------------------------------------------------------------------------|
 
-      IF ( num_sal .EQ. 3 ) THEN
+      IF( num_sal .EQ. 3 ) THEN
 
          WRITE(numout,*)
@@ -320,8 +251,6 @@
             zji                 = MOD( npb(ji) - 1, jpi ) + 1
             zjj                 = ( npb(ji) - 1 ) / jpi + 1
-            fseqv_1d(ji) = fseqv_1d(ji)              + & 
-               ( sss_m(zji,zjj) - bulk_sal    ) * & 
-               rhoic * a_i_b(ji) * &
-               MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
+            fseqv_1d(ji) = fseqv_1d(ji) + ( sss_m(zji,zjj) - bulk_sal    )               &
+               &                        * rhoic * a_i_b(ji) * MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
          END DO
       ELSE
@@ -329,14 +258,11 @@
             zji                 = MOD( npb(ji) - 1, jpi ) + 1
             zjj                 = ( npb(ji) - 1 ) / jpi + 1
-            fseqv_1d(ji) = fseqv_1d(ji)              + & 
-               ( sss_m(zji,zjj) - s_i_new(ji) ) * & 
-               rhoic * a_i_b(ji) * &
-               MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
+            fseqv_1d(ji) = fseqv_1d(ji) + ( sss_m(zji,zjj) - s_i_new(ji) )               &
+               &                        * rhoic * a_i_b(ji) * MAX( dh_i_bott(ji) , 0.0 ) / rdt_ice
          END DO ! ji
       ENDIF
-
-      !-- End of salinity computations
+      !
    END SUBROUTINE lim_thd_sal
-   !==============================================================================
+
 
    SUBROUTINE lim_thd_sal_init
@@ -346,20 +272,17 @@
       !! ** Purpose :   initialization of ice salinity parameters
       !!
-      !! ** Method  : Read the namicesal namelist and check the parameter
-      !!       values called at the first timestep (nit000)
+      !! ** Method  :   Read the namicesal namelist and check the parameter
+      !!              values called at the first timestep (nit000)
       !!
       !! ** input   :   Namelist namicesal
-      !!
-      !! history :
-      !!   3.0  !  July 2005 M. Vancoppenolle  Original code
       !!-------------------------------------------------------------------
-      NAMELIST/namicesal/ num_sal, bulk_sal, sal_G, time_G, sal_F, time_F, &
-         s_i_max, s_i_min, s_i_0, s_i_1
+      NAMELIST/namicesal/ num_sal, bulk_sal, sal_G, time_G, sal_F, time_F,   &
+         &                s_i_max, s_i_min, s_i_0, s_i_1
       !!-------------------------------------------------------------------
-
-      ! Read Namelist namicesal
-      REWIND ( numnam_ice )
-      READ   ( numnam_ice  , namicesal )
-      IF(lwp) THEN
+      !
+      REWIND( numnam_ice )                   ! Read Namelist namicesal
+      READ  ( numnam_ice  , namicesal )
+      !
+      IF(lwp) THEN                           ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'lim_thd_sal_init : Ice parameters for salinity '
@@ -376,14 +299,11 @@
          WRITE(numout,*) ' 2nd salinity for salinity profile  : ', s_i_1
       ENDIF
-
+      !
    END SUBROUTINE lim_thd_sal_init
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Empty Module                No sea-ice model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_thd_sal        ! Empty routine
-   END SUBROUTINE lim_thd_sal
+   !!   Default option         Dummy Module          No LIM-3 sea-ice model
+   !!----------------------------------------------------------------------
 #endif
    !!======================================================================
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2528)
@@ -11,5 +11,4 @@
    !!   lim_trp_init : initialization and namelist read
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE phycst
    USE dom_oce
@@ -47,7 +46,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limupdate.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limupdate.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limupdate.F90	(revision 2528)
@@ -13,9 +13,6 @@
    !!   'key_lim3'                                      LIM3 sea-ice model
    !!----------------------------------------------------------------------
-   !!    lim_update   : computes update of sea-ice global variables 
-   !!                   from trend terms
+   !!    lim_update   : computes update of sea-ice global variables from trend terms
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE limistate
    USE limrhg          ! ice rheology
    USE lbclnk
@@ -54,7 +51,7 @@
 
    !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2528)
@@ -63,7 +63,7 @@
 
    !!----------------------------------------------------------------------
-   !!   LIM 3.0,  UCL-ASTR-LOCEAN-IPSL (2008)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2528)
@@ -1,6 +1,3 @@
 MODULE limwri
-   !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
-   !!----------------------------------------------------------------------
    !!======================================================================
    !!                     ***  MODULE  limwri  ***
@@ -9,12 +6,9 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!  LIM 3.0, UCL-LOCEAN-IPSL (2008)
-   !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !!   'key_lim3'                                      LIM3 sea-ice model
    !!----------------------------------------------------------------------
    !!   lim_wri      : write of the diagnostics variables in ouput file 
    !!   lim_wri_init : initialization and namelist read
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE ioipsl
    USE dianam          ! build name of file (routine)
@@ -63,10 +57,14 @@
       zzero  = 0.e0     ,  &
       zone   = 1.e0
-
+      
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
+
 #if defined key_dimgout
-
 # include "limwri_dimg.h90"
-
 #else
 
@@ -145,5 +143,5 @@
          CALL dia_nam ( clhstnam, nwrite, 'icemod' )
          CALL histbeg ( clhstnam, jpi, glamt, jpj, gphit, 1, jpi, 1, jpj, niter, zjulian, rdt_ice,   &
-            &           nhorid, nice, domain_id=nidom )
+            &           nhorid, nice, domain_id=nidom, snc4chunks=snc4set )
          CALL histvert( nice, "deptht", "Vertical T levels", "m", 1, zdept, ndepid, "down")
          CALL wheneq  ( jpij , tmask(:,:,1), 1, 1., ndex51, ndim)
@@ -159,5 +157,5 @@
          END DO
 
-         CALL histend(nice)
+         CALL histend(nice, snc4set)
 
          !-----------------
@@ -174,5 +172,5 @@
             niter, zjulian, rdt_ice,   & ! time
             nhorida,                   & ! ? linked with horizontal ...
-            nicea , domain_id=nidom)                  ! file 
+            nicea , domain_id=nidom, snc4chunks=snc4set)                  ! file 
          CALL histvert( nicea, "icethi", "L levels",               &
             "m", ipl , hi_mean , nz )
@@ -194,5 +192,5 @@
          CALL histdef( nicea, "iice_etd", "Brine volume distr. "               , "%"    ,   &  
             jpi, jpj, nhorida, jpl, 1, jpl, nz, 15, clop, zsto, zout )
-         CALL histend(nicea)
+         CALL histend(nicea, snc4set)
       ENDIF
 
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri_dimg.h90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri_dimg.h90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/limwri_dimg.h90	(revision 2528)
@@ -1,7 +1,7 @@
 SUBROUTINE lim_wri
    !!----------------------------------------------------------------------
-   !!  LIM 3.0, UCL-LOCEAN-IPSL (2008)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !!-------------------------------------------------------------------
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/par_ice.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/par_ice.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/par_ice.F90	(revision 2528)
@@ -20,7 +20,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/LIM 3.2, UCL-ASTR-LOCEAN-IPSL (2009)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE par_ice
Index: trunk/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- trunk/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/LIM_SRC_3/thd_ice.F90	(revision 2528)
@@ -7,7 +7,7 @@
    !!   2.0  !  02-11  (C. Ethe)  F90: Free form and module
    !!----------------------------------------------------------------------
-   !!   LIM 3.0, UCL-LOCEAN-IPSL (2008)
+   !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !! * Modules used
Index: trunk/NEMOGCM/NEMO/NST_SRC/agrif2model.F90
===================================================================
--- trunk/NEMOGCM/NEMO/NST_SRC/agrif2model.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/NST_SRC/agrif2model.F90	(revision 2528)
@@ -1,7 +1,7 @@
 #if defined key_agrif
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! NEMO/NST 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: trunk/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90
===================================================================
--- trunk/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90	(revision 2528)
@@ -33,7 +33,7 @@
 #endif
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009)
+   !! NEMO/NST 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE agrif_oce
Index: trunk/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90
===================================================================
--- trunk/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 2528)
@@ -8,8 +8,8 @@
    !!            3.2  !  2009-04  (R. Benshila) 
    !!----------------------------------------------------------------------
-#if defined key_agrif && ! defined key_off_tra
+#if defined key_agrif && ! defined key_offline
    !!----------------------------------------------------------------------
    !!   'key_agrif'                                              AGRIF zoom
-   !!   NOT 'key_off_tra'                               NO off-line tracers
+   !!   NOT 'key_offline'                               NO off-line tracers
    !!----------------------------------------------------------------------
    !!   Agrif_tra     :
@@ -34,7 +34,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009)
+   !! NEMO/NST 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -220,7 +220,5 @@
             DO jj=1,jpj
                ua(1:2,jj,jk) = (zua(1:2,jj,jk)/(rhoy*e2u(1:2,jj)))
-#if ! defined key_zco
                ua(1:2,jj,jk) = ua(1:2,jj,jk) / fse3u(1:2,jj,jk)
-#endif
             END DO
          END DO
@@ -276,7 +274,5 @@
             DO jj=1,jpj
                va(2,jj,jk) = (zva(2,jj,jk)/(zrhox*e1v(2,jj)))*vmask(2,jj,jk)
-#if ! defined key_zco
                va(2,jj,jk) = va(2,jj,jk) / fse3v(2,jj,jk)
-#endif           
             END DO
          END DO
@@ -294,7 +290,5 @@
                ua(nlci-2:nlci-1,jj,jk) = (zua(nlci-2:nlci-1,jj,jk)/(rhoy*e2u(nlci-2:nlci-1,jj)))
 
-#if ! defined key_zco
                ua(nlci-2:nlci-1,jj,jk) = ua(nlci-2:nlci-1,jj,jk) / fse3u(nlci-2:nlci-1,jj,jk)
-#endif
 
             END DO
@@ -354,7 +348,5 @@
             DO jj=1,jpj-1
                va(nlci-1,jj,jk) = (zva(nlci-1,jj,jk)/(zrhox*e1v(nlci-1,jj)))*vmask(nlci-1,jj,jk)
-#if ! defined key_zco
                va(nlci-1,jj,jk) = va(nlci-1,jj,jk) / fse3v(nlci-1,jj,jk)
-#endif
             END DO
          END DO
@@ -371,7 +363,5 @@
             DO ji=1,jpi
                va(ji,1:2,jk) = (zva(ji,1:2,jk)/(zrhox*e1v(ji,1:2)))
-#if ! defined key_zco
                va(ji,1:2,jk) = va(ji,1:2,jk) / fse3v(ji,1:2,jk)
-#endif
             END DO
          END DO
@@ -427,7 +417,5 @@
             DO ji=1,jpi
                ua(ji,2,jk) = (zua(ji,2,jk)/(rhoy*e2u(ji,2)))*umask(ji,2,jk) 
-#if ! defined key_zco
                ua(ji,2,jk) = ua(ji,2,jk) / fse3u(ji,2,jk)
-#endif                
             END DO
          END DO
@@ -444,7 +432,5 @@
             DO ji=1,jpi
                va(ji,nlcj-2:nlcj-1,jk) = (zva(ji,nlcj-2:nlcj-1,jk)/(zrhox*e1v(ji,nlcj-2:nlcj-1)))
-#if ! defined key_zco
                va(ji,nlcj-2:nlcj-1,jk) = va(ji,nlcj-2:nlcj-1,jk) / fse3v(ji,nlcj-2:nlcj-1,jk)
-#endif
             END DO
          END DO
@@ -501,7 +487,5 @@
             DO ji=1,jpi
                ua(ji,nlcj-1,jk) = (zua(ji,nlcj-1,jk)/(rhoy*e2u(ji,nlcj-1)))*umask(ji,nlcj-1,jk)
-#if ! defined key_zco
                ua(ji,nlcj-1,jk) = ua(ji,nlcj-1,jk) / fse3u(ji,nlcj-1,jk)
-#endif          
             END DO
          END DO
@@ -514,5 +498,5 @@
    SUBROUTINE Agrif_ssh( kt )
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE Agrif_ssh  ***
+      !!                  ***  ROUTINE Agrif_DYN  ***
       !!----------------------------------------------------------------------  
       INTEGER, INTENT(in) ::   kt
@@ -521,4 +505,5 @@
 
       IF( Agrif_Root() )   RETURN
+
 
       IF((nbondi == -1).OR.(nbondi == 2)) THEN
@@ -559,7 +544,5 @@
             DO ji=i1,i2
                tabres(ji,jj,jk) = e2u(ji,jj) * un(ji,jj,jk)
-#if ! defined key_zco
                tabres(ji,jj,jk) = tabres(ji,jj,jk) * fse3u(ji,jj,jk)
-#endif
             END DO
          END DO
@@ -602,7 +585,5 @@
             DO ji=i1,i2
                tabres(ji,jj,jk) = e1v(ji,jj) * vn(ji,jj,jk)
-#if ! defined key_zco
                tabres(ji,jj,jk) = tabres(ji,jj,jk) * fse3v(ji,jj,jk)
-#endif           
             END DO
          END DO
